summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2015-11-23 15:23:34 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2015-11-24 22:56:29 +0100
commit80c3b2106c7f9c6184ea8a230b328364c8cfc1d0 (patch)
tree72debbef0b8d4816d136687a5d4895aec785c1a3 /eclass/xdg-utils.eclass
parentgnome2-utils.eclass: make sure configure exists before try to sed it (diff)
downloadgentoo-80c3b2106c7f9c6184ea8a230b328364c8cfc1d0.tar.gz
gentoo-80c3b2106c7f9c6184ea8a230b328364c8cfc1d0.tar.bz2
gentoo-80c3b2106c7f9c6184ea8a230b328364c8cfc1d0.zip
xdg-utils.eclass: add missing die
Diffstat (limited to 'eclass/xdg-utils.eclass')
-rw-r--r--eclass/xdg-utils.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/xdg-utils.eclass b/eclass/xdg-utils.eclass
index 1f97623cbfd5..e8dacff2ba9d 100644
--- a/eclass/xdg-utils.eclass
+++ b/eclass/xdg-utils.eclass
@@ -54,10 +54,10 @@ xdg_environment_reset() {
export XDG_CACHE_HOME="${T}/.cache"
export XDG_RUNTIME_DIR="${T}/run"
mkdir -p "${XDG_DATA_HOME}" "${XDG_CONFIG_HOME}" "${XDG_CACHE_HOME}" \
- "${XDG_RUNTIME_DIR}"
+ "${XDG_RUNTIME_DIR}" || die
# This directory needs to be owned by the user, and chmod 0700
# http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
- chmod 0700 "${XDG_RUNTIME_DIR}"
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
unset DBUS_SESSION_BUS_ADDRESS
}